Bug 1628549

Summary: Enable gcc lto/pgo optimizations for Fedora Firefox builds
Product: [Fedora] Fedora Reporter: Martin Stransky <stransky>
Component: firefoxAssignee: Martin Stransky <stransky>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: 0xalen+redhat, alexl, gecko-bugs-nobody, jhorak, john.j5live, pjasicek, rhughes, rstrode, sandmann
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: firefox-64.0-7.fc29 firefox-64.0.2-1.fc28 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-01-11 04:34:10 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Martin Stransky 2018-09-13 12:04:54 UTC
Description of problem:
gcc 8 should have performance improvements with pgo/lto enabled. Let's investigate that and enable it for Fedora builds.

Comment 1 Fedora Update System 2019-01-08 09:20:36 UTC
firefox-64.0-7.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-ff4b403dc7

Comment 2 Fedora Update System 2019-01-08 09:20:39 UTC
firefox-64.0-7.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-ba803bec25

Comment 3 Fedora Update System 2019-01-10 20:49:16 UTC
firefox-64.0-7.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-ff4b403dc7

Comment 4 Fedora Update System 2019-01-10 22:14:43 UTC
firefox-64.0-7.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-ba803bec25

Comment 5 Fedora Update System 2019-01-11 04:34:10 UTC
firefox-64.0-7.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2019-01-11 09:49:53 UTC
firefox-64.0.2-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-87d7d9ad56

Comment 7 Fedora Update System 2019-01-12 02:35:23 UTC
firefox-64.0.2-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-87d7d9ad56

Comment 8 Fedora Update System 2019-01-21 02:05:33 UTC
firefox-64.0.2-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.